--- title: "CreateIntegration" slug: "management-cloudinsight-createintegration" updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-createintegration" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # CreateIntegration Available in Classic and VPC Create an integration. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /cw_fea/real/cw/api/integration/create | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `headers` | Object | Optional | Call header (byte) - 0-100 (including key/value) - Enter a combination of English letters, numbers, and special characters "-" and "_". - Up to 10 can be entered. | | `name` | String | Required | Integration name | | `payload` | String | Required | Call payload (byte) - 0-15,000 - Transmission data in JSON format including variables. - See [Edit payload](https://guide.ncloud-docs.com/docs/en/cloudinsight-use-integration#Payload%EC%88%98%EC%A0%95). | | `type` | String | Required | Integration type - `OUT_GOING` (valid value) | | `url` | String | Required | Endpoint address - Enter the URL to send events to. | ### Request example The request example is as follows: ``` curl --location --request POST 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/integration/create' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'x-ncp-dmn_cd: PUB' \ --data '{ "headers": { "content-type": "application/json; charset=utf-8" }, "name": "test", "payload": "{\n\t\"text\": \"#{DOMAIN_CODE} => #{RULE_NAME} 's event is #{EVENT_STATUS}. The condition is #{RESOURCE_NAME} 's #{DIMENSIONS} #{METRIC} #{OPERATOR} #{CRITERIA}. The current value is #{VALUE}\"\n}", "type": "OUT_GOING", "url": "*****" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `integrationId` | String | - | Integration ID | ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` "**********" ```